> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询卡证抽取任务结果

> 根据 task_id 查询卡证抽取任务结果。



## OpenAPI

````yaml api-reference/preset-cards.yaml GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}
openapi: 3.1.0
info:
  title: 卡证
  version: 1.0.0
  description: ADP 预置应用接口，适用于卡证类文档抽取场景。
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://adp.laiye.com
    description: ADP 生产环境
security: []
tags:
  - name: 卡证抽取
    description: 抽取身份证、驾驶证、行驶证、银行卡、营业执照等卡证字段。
paths:
  /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}:
    get:
      tags:
        - 卡证抽取
      summary: 查询卡证抽取任务结果
      description: 根据 task_id 查询卡证抽取任务结果。
      operationId: queryCardDocumentExtractTask
      parameters:
        - $ref: '#/components/parameters/TenantName'
        - $ref: '#/components/parameters/TaskId'
      responses:
        '200':
          $ref: '#/components/responses/DocumentExtractResponse'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    TenantName:
      name: tenant_name
      in: path
      required: true
      description: 租户名称，默认 laiye。
      schema:
        type: string
        default: laiye
    TaskId:
      name: task_id
      in: path
      required: true
      description: 任务 ID。
      schema:
        type: string
  responses:
    DocumentExtractResponse:
      description: 抽取结果。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DocumentExtractResponse'
    ValidationError:
      description: 参数校验错误。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HTTPValidationError'
  schemas:
    DocumentExtractResponse:
      allOf:
        - $ref: '#/components/schemas/SimpleResponse'
        - type: object
          properties:
            data:
              type: object
              additionalProperties: true
              properties:
                task_id:
                  type: string
                file_url:
                  type: string
                status:
                  type: integer
                  enum:
                    - 0
                    - 1
                    - 2
                    - 4
                    - 5
                    - 6
                  description: 0=未知，1=就绪，2=运行中，4=成功，5=失败，6=取消或拒绝。
                message:
                  type: string
                extract_config_version:
                  type: string
                metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties: true
                aigc:
                  type:
                    - object
                    - 'null'
                  additionalProperties: true
                doc_recognize_result:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
                extraction_result:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
                classify_result:
                  type: object
                  additionalProperties: true
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorItem'
      required:
        - detail
    SimpleResponse:
      type: object
      properties:
        code:
          oneOf:
            - type: string
            - type: integer
        message:
          type: string
        tips:
          type:
            - string
            - 'null'
    ValidationErrorItem:
      type: object
      properties:
        loc:
          type: array
          items:
            oneOf:
              - type: string
              - type: integer
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.